rte_table_array_params(3)

NAME
rte_table_array_params

SYNOPSIS

#include <rte_table_array.h>

  Data Fields

uint32_t n_entries
uint32_t offset

Detailed Description

Array table parameters

Definition at line 24 of file rte_table_array.h.

Field Documentation

  uint32_t n_entries
Number of array entries. Has to be a power of two.

Definition at line 26 of file rte_table_array.h.

  uint32_t offset
Byte offset within input packet meta-data where lookup key (i.e. the array entry index) is located.

Definition at line 30 of file rte_table_array.h.

Author

Generated automatically by Doxygen for DPDK from the source code.